Index: esolan.f
===================================================================
--- esolan.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ esolan.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -821,23 +791,23 @@
              dii(4,2)=dii(1,2)*R42
              dii(4,3)=2d0*(ddat(jk,4)+R)*R42
-
+             
              do idi=1,3
               grad(i,jk,idi)=grad(i,jk,idi)+
-     &                   di(1)*dii(1,idi)+di(2)*dii(2,idi)+
-     &                   di(3)*dii(3,idi)+di(4)*dii(4,idi)
-
-             enddo
+     #                   di(1)*dii(1,idi)+di(2)*dii(2,idi)+
+     #                   di(3)*dii(3,idi)+di(4)*dii(4,idi)
+
+             enddo             
              do idi=1,4
                dta(idi)=5d-1*daalp(idi)*(((yv-zv*((-b*dsbetpalp
-     &                  +c*dcbetpalp)*dsbetmalp+
-     &                (b*dcbetpalp+c*dsbetpalp)*
-     &                dcbetmalp))/dsbetmalp**2))
+     1                  +c*dcbetpalp)*dsbetmalp+
+     2                (b*dcbetpalp+c*dsbetpalp)*
+     3                dcbetmalp))/dsbetmalp**2))
                dtb(idi)=5d-1*dabet(idi)*(((-yv-zv*((-b*dsbetpalp
-     &                  +c*dcbetpalp)*dsbetmalp-
-     &                (b*dcbetpalp+c*dsbetpalp)*
-     &                dcbetmalp))/dsbetmalp**2))
+     1                  +c*dcbetpalp)*dsbetmalp-
+     2                (b*dcbetpalp+c*dsbetpalp)*
+     3                dcbetmalp))/dsbetmalp**2))
              di1(idi)=R2*(aia*daalp(idi)-4d0*xv*dta(idi)/(4d0+tt*tt))
             di2(idi)=R2*(-aia*dabet(idi)-4d0*xv*dtb(idi)/(4d0+tt*tt))
-             enddo
+             enddo             
 
              dii(1,1)=2d0*ddat(kk,2)
@@ -849,6 +819,6 @@
              do idi=1,3
               grad(i,kk,idi)=grad(i,kk,idi)+
-     &                   di1(1)*dii(1,idi)+di1(2)*dii(2,idi)+
-     &                       di1(3)*dii(3,idi)+di1(4)*dii(4,idi)
+     1                   di1(1)*dii(1,idi)+di1(2)*dii(2,idi)+
+     2                       di1(3)*dii(3,idi)+di1(4)*dii(4,idi)
              enddo
 
@@ -861,11 +831,11 @@
              do idi=1,3
               grad(i,LL,idi)=grad(i,LL,idi)+
-     &                   di2(1)*dii(1,idi)+di2(2)*dii(2,idi)+
-     &                       di2(3)*dii(3,idi)+di2(4)*dii(4,idi)
+     1                   di2(1)*dii(1,idi)+di2(2)*dii(2,idi)+
+     2                       di2(3)*dii(3,idi)+di2(4)*dii(4,idi)
              enddo
 
 40           continue
           enddo
-
+         
          else ! analyse the case with lines (not necessary after rotation).
 
@@ -873,12 +843,12 @@
            a1=dsin(ang)
            a2=dcos(ang)
-! Rotate the intersection points by the angle "ang".
-! After rotation the position of IP will be defined
-! by its first coordinate "ax(.,1)".
+c Rotate the intersection points by the angle "ang".
+c After rotation the position of IP will be defined
+c by its first coordinate "ax(.,1)".
            do j=1,nyx
             ax(j,1)=ayx(j,1)*a2-ayx(j,2)*a1
             ax(j,2)=ayx(j,1)*a1+ayx(j,2)*a2
            enddo
-! Sorting by acsending order.
+C Sorting by acsending order.
            do j=1,nyx-1
             a1=ax(j,1)
@@ -921,5 +891,5 @@
            enddo
            probe(nyx+1)=ayx1(nyx)+1d0
-
+           
 
            bc=b*b+c*c
@@ -929,9 +899,9 @@
            p1=ayx(1,1)+c*probe(1)
            p2=ayx(1,2)-b*probe(1)
-! Verify if the middle point belongs to a covered part.
-! Omit, if yes.
+C Verify if the middle point belongs to a covered part.
+C Omit, if yes.
            do L=1,ial
             if(neibor(al(L),1)*(p1*p1+p2*p2)+neibor(al(L),2)*p1+
-     &         neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 20
+     #         neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 20
            enddo
            arg2=bc*ayx1(1)+caba
@@ -944,5 +914,5 @@
             do L=1,ial
              if(neibor(al(L),1)*(p1*p1+p2*p2)+neibor(al(L),2)*p1+
-     &          neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 21
+     #          neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 21
             enddo
             arg1=bc*ayx1(j-1)+caba
@@ -955,5 +925,5 @@
            do      L=1,ial
             if(neibor(al(L),1)*(p1*p1+p2*p2)+neibor(al(L),2)*p1+
-     &         neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 22
+     1         neibor(al(L),3)*p2+neibor(al(L),4).lt.0d0) goto 22
            enddo
            arg1=bc*ayx1(nyx)+caba
@@ -961,9 +931,9 @@
 22           continue
             endif
-         enddo
+         enddo       
 11      continue
 
-!
-!         changed in 2004
+c
+c         changed in 2004
 
       do j=1,ine
@@ -982,6 +952,6 @@
 
       if(jjj.ne.0) then
-! Restore the original configuration if the molecule has been rotated.
-! This is necessary for calculation of gradients.
+C Restore the original configuration if the molecule has been rotated.
+C This is necessary for calculation of gradients.
           xx=grad(i,i,1)
           yy=grad(i,i,2)
@@ -1018,9 +988,9 @@
 111   continue
 
-!     write(3,*)'   No   Area    sigma   Enrg    gradx   grady',
-!    & '   gradz   Rad    Atom'
-!     write(3,*)
-
-
+c     write(3,*)'   No   Area    sigma   Enrg    gradx   grady',     
+c    # '   gradz   Rad    Atom'
+c     write(3,*)
+
+      
       do i=1,numat
         enr=As(i)*sigma(i)
@@ -1030,16 +1000,15 @@
         if (nmat(i)(1:1).eq.'h') ratom=0.0
 
-!     write(3,700),i,As(i),sigma(i),
-!    &        enr,(gradan(i,k),k=1,3),ratom,nmat(i)
+c     write(3,700),i,As(i),sigma(i),
+c    #        enr,(gradan(i,k),k=1,3),ratom,nmat(i)
 
       enddo
 
-!     write(3,*)'Total Area: ',sss
-!     write(3,*)'Total solvation energy: ',energy
+c     write(3,*)'Total Area: ',sss
+c     write(3,*)'Total solvation energy: ',energy
 
       esolan=sss
 
-      deallocate(grad)
-!     close(3)
+c     close(3)
       return
 
@@ -1047,4 +1016,4 @@
 200   format(2i4,3f16.6)
 700   format(i5,7f8.3,5x,a4)
-
+         
       end
Index: eyabgn.f
===================================================================
--- eyabgn.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ eyabgn.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,23 +1,19 @@
-! *********************************************************************
-! This file contains eyrccr, init_abgn, eyentr, eyabgn
-!
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! Corrections to ECEPP energy terms due to R. A. Abagyan et al.
-!
-! Two terms are calculated: eyrccr and eyentr, representing respectively
-! c a term to slightly shift the backbone dihedral angle preferences in
-! the ECEPP potential slightly away from the helix region, and another
-! term to estimate the side-chain entropy from a given configuration.
-!
-!
-! *********************************************************************
+c *********************************************************************
+c This file contains eyrccr, init_abgn, eyentr, eyabgn
+c
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c Corrections to ECEPP energy terms due to R. A. Abagyan et al. 
+c 
+c Two terms are calculated: eyrccr and eyentr, representing respectively
+c c a term to slightly shift the backbone dihedral angle preferences in 
+c the ECEPP potential slightly away from the helix region, and another
+c term to estimate the side-chain entropy from a given configuration. 
+c
+c
+c *********************************************************************
       real*8 function eyrccr(nml)
       include 'INCL.H'
-      double precision et, rsscl
-
-      integer nml, istres, indres, i, ipsi, in, ica, ic, mlvr, iphi
-
       dimension iN(mxrs),iCa(mxrs),iC(mxrs),mlvr(mxvr)
       dimension iphi(mxrs),ipsi(mxrs)
@@ -33,24 +29,24 @@
       endif
       et=0.0
-!      print *,'***********'
+c      print *,'***********'
       do i=istres,indres
          mynm=seq(i)
          call tolost(mynm)
          if ((mynm.eq.'val').or.(mynm.eq.'ile').or.
-     &           (mynm.eq.'thr')) then
+     #           (mynm.eq.'thr')) then 
             rsscl=1.0
-         else
+         else 
             rsscl=0.5
          endif
          et=et+rsscl*(1.0-sin(vlvr(ipsi(i))))
-!         print *,'  contribution = ',rsscl*(1.0-sin(vlvr(ipsi(i))))
-!         print *,'obtained using scale ',rsscl,' and angle ',
-!     #        vlvr(ipsi(i))
+c         print *,'  contribution = ',rsscl*(1.0-sin(vlvr(ipsi(i))))
+c         print *,'obtained using scale ',rsscl,' and angle ',
+c     #        vlvr(ipsi(i))
       enddo
-!      print *,'abagyan dihedral term = ',et
-!      print *,'***********'
+c      print *,'abagyan dihedral term = ',et
+c      print *,'***********'
       eyrccr=et
       return
-      end
+      end 
 
       subroutine init_abgn
@@ -58,43 +54,39 @@
 !       dimension rsstrg(mxrs)
 !       common /abgncor/rsstrg
-      double precision xarea, estrg
-
-      integer i, istres, indres, imytyp, j
-
       dimension xarea(nrsty),estrg(nrsty)
       character mynm*4
-!      print *,'Initialization of Abagyan entropic term'
-!     Maximum accessible surface areas for different residue types
+c      print *,'Initialization of Abagyan entropic term'
+c     Maximum accessible surface areas for different residue types
       data (xarea(i),i=1,nrsty)/
-!             1         2         3         4         5
-     &     117.417 , 244.686 , 245.582 , 146.467 , 144.485 ,
-!             6         7         8         9        10
-     &     144.192 , 142.805 , 147.568 , 183.103 , 177.094 ,
-!            11       12        13        14        15
-     &     186.293 , 83.782 , 187.864 , 187.864 , 187.864 ,
-!            16       17        18        19        20
-     &     187.864 , 160.887 , 161.741 , 184.644 , 179.334 ,
-!            21       22        23        24        25
-     &     209.276 , 209.276 , 203.148 , 208.902 , 153.124 ,
-!            26       27        28        29        30
-     &     153.973 , 153.037 , 158.695 , 157.504 , 157.504 ,
-!            31       32        33        34        35
-     &     119.786 , 146.488 , 238.641 , 223.299 , 160.283 /
-!     Entropic contribution for maximally exposed residue
+c             1         2         3         4         5
+     #     117.417 , 244.686 , 245.582 , 146.467 , 144.485 ,
+c             6         7         8         9        10
+     #     144.192 , 142.805 , 147.568 , 183.103 , 177.094 ,
+c            11       12        13        14        15
+     #     186.293 , 83.782 , 187.864 , 187.864 , 187.864 ,
+c            16       17        18        19        20
+     #     187.864 , 160.887 , 161.741 , 184.644 , 179.334 ,
+c            21       22        23        24        25
+     #     209.276 , 209.276 , 203.148 , 208.902 , 153.124 ,
+c            26       27        28        29        30
+     #     153.973 , 153.037 , 158.695 , 157.504 , 157.504 ,
+c            31       32        33        34        35
+     #     119.786 , 146.488 , 238.641 , 223.299 , 160.283 /
+c     Entropic contribution for maximally exposed residue
       data (estrg(i),i=1,nrsty)/
-!             1ala      2arg      3arg+     4asn      5asp
-     &       0.0   ,   2.13  ,   2.13  ,   0.81  ,   0.61  ,
-!             6asp-     7cys      8cyss     9gln     10glu
-     &       0.61  ,   1.14  ,   1.14  ,   2.02  ,   1.65  ,
-!            11glu-   12gly     13his     14hise    15hisd
-     &       1.65  ,  0.0    ,   0.99  ,   0.99  ,   0.99  ,
-!            16his+   17hyp     18hypu    19ile     20leu
-     &       0.99  ,   0.99  ,   0.99  ,  0.75   ,   0.75  ,
-!            21lys    22lys+     23met     24phe     25cpro
-     &       2.21  ,   2.21  ,   1.53  ,   0.58  ,   0.0   ,
-!            26pro     27cpru    28prou    29pron    30pro+
-     &       0.0   ,   0.0   ,   0.0   ,   0.0   ,   0.0   ,
-!            31ser     32thr     33trp     34tyr     35val
-     &       1.19  ,   1.12  ,   0.97  ,   0.99  ,   0.50  /
+c             1ala      2arg      3arg+     4asn      5asp
+     #       0.0   ,   2.13  ,   2.13  ,   0.81  ,   0.61  ,
+c             6asp-     7cys      8cyss     9gln     10glu
+     #       0.61  ,   1.14  ,   1.14  ,   2.02  ,   1.65  ,
+c            11glu-   12gly     13his     14hise    15hisd
+     #       1.65  ,  0.0    ,   0.99  ,   0.99  ,   0.99  ,
+c            16his+   17hyp     18hypu    19ile     20leu
+     #       0.99  ,   0.99  ,   0.99  ,  0.75   ,   0.75  ,
+c            21lys    22lys+     23met     24phe     25cpro
+     #       2.21  ,   2.21  ,   1.53  ,   0.58  ,   0.0   ,
+c            26pro     27cpru    28prou    29pron    30pro+
+     #       0.0   ,   0.0   ,   0.0   ,   0.0   ,   0.0   ,
+c            31ser     32thr     33trp     34tyr     35val
+     #       1.19  ,   1.12  ,   0.97  ,   0.99  ,   0.50  /
       do i=1,mxrs
          rsstrg(i)=0.0
@@ -108,19 +100,19 @@
          do j=1,nrsty
             if (rsnmcd(j).eq.mynm) imytyp=j
-!            print *,'comparing ',mynm,' with ',rsnmcd(j),imytyp
+c            print *,'comparing ',mynm,' with ',rsnmcd(j),imytyp
          enddo
-         if (imytyp.eq.0) then
+         if (imytyp.eq.0) then 
             print *, 'Unknown residue type ',seq(i)
             print *, 'Abagyan term strength set to 0'
             rsstrg(i)=0.0
-         else
+         else 
             rsstrg(i)=estrg(imytyp)/xarea(imytyp)
          endif
-!         print *,'residue ',i,seq(i),' type ',imytyp
-!         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i)
+c         print *,'residue ',i,seq(i),' type ',imytyp
+c         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i) 
       enddo
       print *, 'initialized Abagyan corrections to ECEPP force field'
       end
-
+      
       real*8 function eyentr(nml)
       include 'INCL.H'
@@ -129,8 +121,4 @@
 !       common/ressurf/surfres(mxrs)
 !      common/bet/beta
-      double precision eentr, aars, strh
-
-      integer nml, istres, indres, i
-
       eentr=0
       if (nml.eq.0) then
@@ -141,33 +129,29 @@
          indres=irsml2(nml)
       endif
-!      print *,'residue range ',istres,indres
-!      print *,'for molecule ',nml
+c      print *,'residue range ',istres,indres
+c      print *,'for molecule ',nml
       do i=istres, indres
          aars=surfres(i)
          strh=rsstrg(i)
-!        The maximal burial entropies were estimated at temperature 300k
-!        The values in the array estrg are k_B * T (=300k) * Entropy
-!        Presently we need it at temperature 1/beta, so we need to
-!        multiply the strengths in estrg with (1/beta)/(300 kelvin)
-!        300 kelvin is approximately 0.59576607 kcal/mol.
+c        The maximal burial entropies were estimated at temperature 300k
+c        The values in the array estrg are k_B * T (=300k) * Entropy
+c        Presently we need it at temperature 1/beta, so we need to 
+c        multiply the strengths in estrg with (1/beta)/(300 kelvin)
+c        300 kelvin is approximately 0.59576607 kcal/mol.
          eentr=eentr+aars*strh/(0.59576607*beta)
-!         print *,'contribution = ',aars*strh/(0.59576607*beta)
-!         print *,'residue, exposed area = ',i,aars
-!         print *,'strength = ',strh,' for residue index = ',i
-!         print *,'beta = ',beta
+c         print *,'contribution = ',aars*strh/(0.59576607*beta)
+c         print *,'residue, exposed area = ',i,aars
+c         print *,'strength = ',strh,' for residue index = ',i
+c         print *,'beta = ',beta
       enddo
-!      print *,'abagyan entropic term = ',eentr
+c      print *,'abagyan entropic term = ',eentr
       eyentr=eentr
       return
       end
-
-      real*8 function eyabgn(nml)
+      
+      real*8 function eyabgn(nml) 
       include 'INCL.H'
-      double precision eyrccr, eyentr
-
-      integer nml
-
       eyabgn=eyrccr(nml)+eyentr(nml)
-!      print *,'Abagyan term = ',eyabgn
+c      print *,'Abagyan term = ',eyabgn
       return
       end
